<script lang="ts">
  import type { MediaPostData } from '$lib/components/pages/about/media';
  import Badge from '$lib/components/ui-elements/Badge.svelte';
  import MarkdownIt from '$lib/util/markdown-it';

  export let post: MediaPostData;
  const md = MarkdownIt();
</script>

<div class="rounded overflow-hidden shadow-lg w-full ltr flex flex-col">
  <iframe
    class="w-full aspect-video"
    src={post.video}
    frameborder="0"
    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
    allowfullscreen />
  <div class="px-6 py-4 flex-auto">
    <div class="font-bold text-xl mb-2">{post.title}</div>
    <p class="text-gray-700 text-base">
      {@html md.render(post.description)}
    </p>
  </div>
  <div class="px-6 pt-4 pb-2 align-text-bottom">
    {#each post.tags as tag}
      <Badge class="m-1" rounded size="sm" color="gray">#{tag}</Badge>
    {/each}
  </div>
</div>
